<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_1</title>
</head>
<body>
    <h1>Capitulo 1</h1>
    <a>Ejercicio 2</a>

    <script>
    const cadenasPermuta = ( cadena1 = "", cadena2 = "" ) => {
        if (!cadena1) return console.warn("No ingresaste un texto");
        if (!cadena2) return console.warn("No ingresaste un texto");
        if (typeof cadena1 !== "string")
            return (`El caracter: ${cadena1} no es un cadena de texto`);
        if (typeof cadena2 !== "string")
            return (`El caracter: ${cadena2} no es un cadena de texto`);

        let str1 = cadena1.split("").reverse().join(""),
            str2 = cadena2.split("").reverse().join("");

        return (str1 === cadena2 && str2 === cadena1)
            ? console.log(`Las palabras ${cadena1} y ${cadena2} si son Permutaciones`)
            : console.error(`Las palabras ${cadena1} y ${cadena2}, no son lo mismo`)        
    }

    cadenasPermuta("dog","god");
    cadenasPermuta("dog   ","god");


    </script>
    
</body>
</html>